> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/tigrina/tigrina-api.md).

# Tigrina API

## getCellularInformation

> Retrieves a set of cellular WAN information relating to a specific Hera 604 router.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/getCellularInformation":{"get":{"summary":"getCellularInformation","operationId":"get-japi-diam-getcellularinformation","tags":["Tigrina API"],"description":"Retrieves a set of cellular WAN information relating to a specific Hera 604 router.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ESN":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"Router":{"type":"object","properties":{"ESN":{"type":"string"},"ICCID":{"type":"string"},"IMEI":{"type":"string"},"SIMProfile":{"type":"string"},"CellularConnection":{"type":"object","properties":{"Sims":{"type":"object","properties":{"ChipSim":{"type":"array","items":{}},"Sim1":{"type":"object","properties":{"ICCID":{"type":"string"},"IMSI":{"type":"string"}}},"Sim2":{"type":"object","properties":{"ICCID":{"type":"string"},"IMSI":{"type":"string"}}}}}}},"NetworkStatus":{"type":"object","properties":{"RSSI":{"type":"string"},"Timestamp":{"type":"string"},"NetworkName":{"type":"string"},"RAT":{"type":"string"},"IPAddress":{"type":"string"}}},"location":{"type":"object","properties":{"Lat":{"type":"string"},"Lon":{"type":"string"}}}}}}}}}}}}}}}
```

## getCellularRSSIHistory

> Retrieves a set of historic RSSI values relating to a specific Hera 604 router.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/getCellularRSSIHistory":{"get":{"summary":"getCellularRSSIHistory","operationId":"get-japi-diam-getcellularrssihistory","tags":["Tigrina API"],"description":"Retrieves a set of historic RSSI values relating to a specific Hera 604 router.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ESN":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"Router":{"type":"object","properties":{"ESN":{"type":"string"},"ICCID":{"type":"string"},"signal":{"type":"array","items":{"type":"object","properties":{"Timestamp":{"type":"string"},"RSSI":{"type":"string"},"NetworkName":{"type":"string"},"RAT":{"type":"string"}}}}}}}}}}}}}}}}
```

## getDeviceInformation

> Retrieves device information relating to a specific Hera 604 router.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/getDeviceInformation":{"get":{"summary":"getDeviceInformation","operationId":"get-japi-diam-getdeviceinformation","tags":["Tigrina API"],"description":"Retrieves device information relating to a specific Hera 604 router.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ESN":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## getNetworkInformation

> Retrieves a set of LAN information relating to a specific Hera 604 router.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/getNetworkInformation":{"get":{"summary":"getNetworkInformation","operationId":"get-japi-diam-getnetworkinformation","tags":["Tigrina API"],"description":"Retrieves a set of LAN information relating to a specific Hera 604 router.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ESN":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## login

> Logs in the user using the supplied credentials. The session times out after 1440 seconds of inactivity. If you attempt to use a session cookie after that session has timed out, you will need to log in again.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/login":{"post":{"summary":"login","operationId":"post-japi-diam-login","tags":["Tigrina API"],"description":"Logs in the user using the supplied credentials. The session times out after 1440 seconds of inactivity. If you attempt to use a session cookie after that session has timed out, you will need to log in again.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"},"portfolioID":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"cookie":{"type":"string"},"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## logout

> Logs the user out of the Tigrina API.

```json
{"openapi":"3.1.0","info":{"title":"Tigrina API","version":"1.0.0"},"tags":[{"name":"Tigrina API"}],"servers":[{"url":"https://tigrina.eseye.com"}],"paths":{"/Japi/Diam/logout":{"post":{"summary":"logout","operationId":"post-japi-diam-logout","tags":["Tigrina API"],"description":"Logs the user out of the Tigrina API.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/tigrina/tigrina-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
